Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.item
Class EntityItemFrame

    java.lang.Object
      net.minecraft.entity.Entity
          net.minecraft.entity.EntityHanging
              net.minecraft.entity.item.EntityItemFrame

    public class EntityItemFrame

extends EntityHanging

Field Summary

Fields inherited from class net.minecraft.entity.EntityHanging
`hangingDirection, xPosition, yPosition, zPosition`

Fields inherited from class net.minecraft.entity.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityItemFrame(World par1World)`
`EntityItemFrame(World par1World, int par2, int par3, int par4, int par5)`

Method Summary
`void` | `dropItemStack()` Drop the item currently on this item frame.
`int` | `func_82329_d()`
`int` | `func_82330_g()`
`ItemStack` | `getDisplayedItem()`
`int` | `getRotation()` Return the rotation of the item currently on this frame.
`boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
`boolean` | `isInRangeToRenderDist(double par1)`
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setDisplayedItem(ItemStack par1ItemStack)`
`void` | `setItemRotation(int par1)`
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.entity.EntityHanging
`addVelocity, attackEntityFrom, canBeCollidedWith, func_85031_j, moveEntity, onUpdate, onValidSurface, setDirection`

Methods inherited from class net.minecraft.entity.Entity
`addEntityID, addToPlayerScore, applyEntityCollision, canAttackWithItem, canBePushed, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82143_as, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85030_a, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getEyeHeight, getHasActivePotion, getLastActiveItems, getLookVec, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getTexture, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveFlying, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, readFromNBT, setAir, setAngles, setCurrentItemOrArmor, setDead, setEating, setFire, setHasActivePotion, setHeadRotationYaw, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotationYawHead, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRidden, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityItemFrame

    public EntityItemFrame(World par1World)

### EntityItemFrame

    public EntityItemFrame(World par1World,
                           int par2,
                           int par3,
                           int par4,
                           int par5)

Method Detail

### func_82329_d

    public int func_82329_d()

  Specified by:
    `func_82329_d` in class `EntityHanging`

### func_82330_g

    public int func_82330_g()

  Specified by:
    `func_82330_g` in class `EntityHanging`

### isInRangeToRenderDist

    public boolean isInRangeToRenderDist(double par1)

  Overrides:
    `isInRangeToRenderDist` in class `Entity`

### dropItemStack

    public void dropItemStack()

  Drop the item currently on this item frame.

  Specified by:
    `dropItemStack` in class `EntityHanging`

### getDisplayedItem

    public ItemStack getDisplayedItem()

### setDisplayedItem

    public void setDisplayedItem(ItemStack par1ItemStack)

### getRotation

    public int getRotation()

  Return the rotation of the item currently on this frame.

### setItemRotation

    public void setItemRotation(int par1)

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityHanging`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityHanging`

### interact

    public boolean interact(EntityPlayer par1EntityPlayer)

  Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.

  Overrides:
    `interact` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD